Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6840 - anaconda fails with strange message when missing rpm
Summary: anaconda fails with strange message when missing rpm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-09 00:02 UTC by Mads Kiilerich
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 13:18:40 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 1999-11-09 00:02:58 UTC
When a rpm specified in comps doesn't exist in RPMS (or
isn't found for the right architecture) anaconda fails with
a python stack trace.

Instead it should give an error (or a list of errors) and
let the user continue installing as many packages as
possible.

(besides, anaconda has no entry in bugtraq; see reopened
ticket -- and I'm forced to guess!!!)

Regards,
Kiilerich

Comment 1 Cristian Gafton 2000-01-27 08:07:59 UTC
assigne dto installer

Comment 2 Jay Turner 2000-02-09 13:17:59 UTC
This issue is fixed in the latest installer.


Note You need to log in before you can comment on or make changes to this bug.